<?php

function wpbuttons_create_db(){
  global $table_prefix, $wpdb;
  $tablename=wpbutton_table_name();
  $sql = "CREATE TABLE IF NOT EXISTS $tablename (
            id int(11) NOT NULL auto_increment,
            `user_id` int(11) default 0,
            `wpbtn_name` varchar(100) default NULL,
            `wpbtn_description` varchar(500) default NULL,
            `wpbtn_text` varchar(100) default NULL,
            `wpbtn_url` varchar(250) default NULL,
            `wpbtn_new_window` varchar(10) default NULL,
            `wpbtn_text_font_family` varchar(50) default NULL,
            `wpbtn_text_font_size` varchar(10) default NULL,
            `wpbtn_text_font_style` varchar(10) default NULL,
            `wpbtn_text_font_weight` varchar(10) default NULL,
            `wpbtn_text_shadow_offset_left` varchar(10) default NULL,
            `wpbtn_text_shadow_offset_top` varchar(10) default NULL,
            `wpbtn_text_shadow_width` varchar(10) default NULL,
            `wpbtn_text_padding_top` varchar(10) default NULL,
            `wpbtn_text_padding_bottom` varchar(10) default NULL,
            `wpbtn_text_padding_left` varchar(10) default NULL,
            `wpbtn_text_padding_right` varchar(10) default NULL,
            `wpbtn_border_style` varchar(10) default NULL,
            `wpbtn_border_width` varchar(10) default NULL,
            `wpbtn_border_radius_top_left` varchar(10) default NULL,
            `wpbtn_border_radius_top_right` varchar(10) default NULL,
            `wpbtn_border_radius_bottom_left` varchar(10) default NULL,
            `wpbtn_border_radius_bottom_right` varchar(10) default NULL,
            `wpbtn_box_shadow_offset_left` varchar(10) default NULL,
            `wpbtn_box_shadow_offset_top` varchar(10) default NULL,
            `wpbtn_box_shadow_width` varchar(10) default NULL,
            `wpbtn_gradient_stop` varchar(2) default NULL,
            `wpbtn_text_color` varchar(10) default NULL,
            `wpbtn_text_color_hover` varchar(10) default NULL,
            `wpbtn_text_shadow_color` varchar(10) default NULL,
            `wpbtn_text_shadow_color_hover` varchar(10) default NULL,
            `wpbtn_gradient_start_color` varchar(10) default NULL,
            `wpbtn_gradient_start_color_hover` varchar(10) default NULL,
            `wpbtn_gradient_end_color` varchar(10) default NULL,
            `wpbtn_gradient_end_color_hover` varchar(10) default NULL,
            `wpbtn_border_color` varchar(10) default NULL,
            `wpbtn_border_color_hover` varchar(10) default NULL,
            `wpbtn_box_shadow_color` varchar(10) default NULL,
            `wpbtn_box_shadow_color_hover` varchar(10) default NULL,
            `wpbtn_container_enabled` varchar(5) default NULL,
            `wpbtn_container_width` varchar(5) default NULL,
            `wpbtn_container_margin_top` varchar(5) default NULL,
            `wpbtn_container_margin_right` varchar(5) default NULL,
            `wpbtn_container_margin_bottom` varchar(5) default NULL,
            `wpbtn_container_margin_left` varchar(5) default NULL,
            `wpbtn_container_alignment` varchar(25) default NULL,
            PRIMARY KEY  (id)
          )ENGINE=MyISAM DEFAULT CHARSET=utf8;";
  $wpdb->query($sql);
}

function wpbutton_table_name(){
  global $table_prefix;
  $table_name = $table_prefix.'wpbuttons_buttons';
  return $table_name;
}

function wpbuttons_admin_page(){
	add_menu_page("WP Buttons", "WP Buttons", "add_users", __FILE__, "wpbuttons_list");
	add_submenu_page(__FILE__, "Manage Buttons", "Manage Buttons", "add_users", "wpbuttons-list", "wpbuttons_list");
	add_submenu_page(__FILE__, 'Add Buttons', 'Add Buttons', 'add_users','wpbuttons-add', 'wpbuttons_add');
}
add_action('admin_menu', 'wpbuttons_admin_page');
