<?php
function wpbuttons_save(){
  global $wpdb,$current_user;
  $curr_user_id = $current_user->ID;
  $tablename=wpbutton_table_name();
  $data=array(
      'user_id'                           => $curr_user_id,
      'wpbtn_name'                        => ($_POST['btn_name']!='' ? $_POST['btn_name']:'Unnamed Button'),
      'wpbtn_description'                 => ($_POST['btn_desc']!='' ? $_POST['btn_desc']:''),
      'wpbtn_text'                        => ($_POST['btn_text']!='' ? $_POST['btn_text']:'New'),
      'wpbtn_url'                         => $_POST['btn_url'],
      'wpbtn_new_window'                  => (isset($_POST['btn_target']) ? '1':'0'),
      'wpbtn_text_font_family'            => ($_POST['btn_font_family']!='' ? $_POST['btn_font_family']:'Georgia'),
      'wpbtn_text_font_size'              => ($_POST['btn_font_size']!='' ? $_POST['btn_font_size'].'px':'16px'),
      'wpbtn_text_font_style'             => ($_POST['btn_font_style']!='' ? $_POST['btn_font_style']:'normal'),
      'wpbtn_text_font_weight'            => ($_POST['btn_font_weight']!='' ? $_POST['btn_font_weight']:'normal'),
      'wpbtn_text_shadow_offset_left'     => ($_POST['btn_font_shadow_left']!='' ? $_POST['btn_font_shadow_left'].'px':'-1px'),
      'wpbtn_text_shadow_offset_top'      => ($_POST['btn_font_shadow_top']!='' ? $_POST['btn_font_shadow_top'].'px':'-1px'),
      'wpbtn_text_shadow_width'           => ($_POST['btn_font_shadow_width']!='' ? $_POST['btn_font_shadow_width'].'px':'0px'),
      'wpbtn_text_padding_top'            => ($_POST['btn_font_padding_top']!='' ? $_POST['btn_font_padding_top'].'px':'10px'),
      'wpbtn_text_padding_bottom'         => ($_POST['btn_font_padding_bottom']!='' ? $_POST['btn_font_padding_bottom'].'px':'10px'),
      'wpbtn_text_padding_left'           => ($_POST['btn_font_padding_left']!='' ? $_POST['btn_font_padding_left'].'px':'20px'),
      'wpbtn_text_padding_right'          => ($_POST['btn_font_padding_right']!='' ? $_POST['btn_font_padding_right'].'px':'20px'),
      'wpbtn_border_style'                => ($_POST['btn_border_style']!='' ? $_POST['btn_border_style']:'solid'),
      'wpbtn_border_width'                => ($_POST['btn_border_width']!='' ? $_POST['btn_border_width'].'px':'1px'),
      'wpbtn_border_radius_top_left'      => ($_POST['btn_border_radius_top_left']!='' ? $_POST['btn_border_radius_top_left'].'px':'4px'),
      'wpbtn_border_radius_top_right'     => ($_POST['btn_border_radius_top_right']!='' ? $_POST['btn_border_radius_top_right'].'px':'4px'),
      'wpbtn_border_radius_bottom_left'   => ($_POST['btn_border_radius_bottom_left']!='' ? $_POST['btn_border_radius_bottom_left'].'px':'4px'),
      'wpbtn_border_radius_bottom_right'  => ($_POST['btn_border_radius_bottom_right']!='' ? $_POST['btn_border_radius_bottom_right'].'px':'4px'),
      'wpbtn_box_shadow_offset_left'      => ($_POST['btn_shadow_left']!='' ? $_POST['btn_shadow_left'].'px':'0px'),
      'wpbtn_box_shadow_offset_top'       => ($_POST['btn_shadow_top']!='' ? $_POST['btn_shadow_top'].'px':'0px'),
      'wpbtn_box_shadow_width'            => ($_POST['btn_shadow_width']!='' ? $_POST['btn_shadow_width'].'px':'2px'),
      'wpbtn_gradient_stop'               => ($_POST['btn_gradient_stop']!='' ? $_POST['btn_gradient_stop']:'45'),
      'wpbtn_text_color'                  => ($_POST['btn_text_color']!='' ? $_POST['btn_text_color']:'#000000'),
      'wpbtn_text_color_hover'            => ($_POST['btn_text_hover_color']!='' ? $_POST['btn_text_hover_color']:'#999999'),
      'wpbtn_text_shadow_color'           => ($_POST['btn_text_shadow_color']!='' ? $_POST['btn_text_shadow_color']:'#cccccc'),
      'wpbtn_text_shadow_color_hover'     => ($_POST['btn_text_shadow_hover_color']!='' ? $_POST['btn_text_shadow_hover_color']:'#cccccc'),
      'wpbtn_gradient_start_color'        => ($_POST['btn_gradient_start_color']!='' ? $_POST['btn_gradient_start_color']:'#ffffff'),
      'wpbtn_gradient_start_color_hover'  => ($_POST['btn_gradient_start_hover_color']!='' ? $_POST['btn_gradient_start_hover_color']:'#00adee'),
      'wpbtn_gradient_end_color'          => ($_POST['btn_gradient_end_color']!='' ? $_POST['btn_gradient_end_color']:'#ededed'),
      'wpbtn_gradient_end_color_hover'    => ($_POST['btn_gradient_end_hover_color']!='' ? $_POST['btn_gradient_end_hover_color']:'#0078a5'),
      'wpbtn_border_color'                => ($_POST['btn_border_color']!='' ? $_POST['btn_border_color']:'#999999'),
      'wpbtn_border_color_hover'          => ($_POST['btn_border_hover_color']!='' ? $_POST['btn_border_hover_color']:'#999999'),
      'wpbtn_box_shadow_color'            => ($_POST['btn_box_shadow_color']!='' ? $_POST['btn_box_shadow_color']:'#cccccc'),
      'wpbtn_box_shadow_color_hover'      => ($_POST['btn_box_shadow_hover_color']!='' ? $_POST['btn_box_shadow_hover_color']:'#cccccc'),
      'wpbtn_container_enabled'           => (isset($_POST['btn_container']) ? '1':'0'),
      'wpbtn_container_width'             => $_POST['btn_container_width'],
      'wpbtn_container_margin_top'        => $_POST['btn_contnr_margin_top'],
      'wpbtn_container_margin_right'      => $_POST['btn_contnr_margin_right'],
      'wpbtn_container_margin_bottom'     => $_POST['btn_contnr_margin_bottom'],
      'wpbtn_container_margin_left'       => $_POST['btn_contnr_margin_left'],
      'wpbtn_container_alignment'         => $_POST['btn_container_align']
  );
  //$data_format = array();
  if($_POST['wpbtn_button_id']!=0){
    $where = array('id'=>$_POST['wpbtn_button_id']);
    $wpdb->update($tablename,$data,$where);
    $button_id =$_POST['wpbtn_button_id'];
  }else{
    $wpdb->insert( $tablename, $data );
    $button_id = $wpdb->insert_id;
  }
  return $button_id;
}
function wpbuttons_add(){
  global $wpdb;
  $wpbutton_ids=0;
  if(isset($_GET['btnids'])){
    $wpbutton_ids = $_GET['btnids'];
  }
  $tablename=wpbutton_table_name();
  if(isset($_GET['act']) && $_GET['act']=='addbtn'){
    $wpbutton_ids=wpbuttons_save();
  }
  if($wpbutton_ids!=0){
    $sql="SELECT * FROM $tablename WHERE id='$wpbutton_ids' LIMIT 1";
    $data['btn_results'] = $wpdb->get_row($sql);
  }
  $data['btnid']=(Object)array('button_id'=>$wpbutton_ids);
  //print_r($data);
  wpbuttons_add_view($data);
}

function wpbutton_default_style($buttonid=0){
  global $wpdb;
   //echo 'test data'.$buttonid;
  if($buttonid>0){
    $tablename= wpbutton_table_name();
    $sql = "SELECT * FROM $tablename WHERE id='$buttonid'";
    $btn_data = $wpdb->get_row($sql);
    //print_r($btn_data);
  //echo 'test data';
    $btn_style['defaults'] = 'text-decoration:none; font-family:'.$btn_data->wpbtn_text_font_family.'; color: '.$btn_data->wpbtn_text_color.'; font-size:'.$btn_data->wpbtn_text_font_size.'; font-style:'.$btn_data->wpbtn_text_font_style.'; font-weight:'.$btn_data->wpbtn_text_font_weight.'; padding:'.$btn_data->wpbtn_text_padding_top.' '.$btn_data->wpbtn_text_padding_right.' '.$btn_data->wpbtn_text_padding_bottom.' '.$btn_data->wpbtn_text_padding_left.'; background:linear-gradient('.$btn_data->wpbtn_gradient_start_color.' '.$btn_data->wpbtn_gradient_stop.'%, '.$btn_data->wpbtn_gradient_end_color.'); background:-moz-linear-gradient('.$btn_data->wpbtn_gradient_start_color.' '.$btn_data->wpbtn_gradient_stop.'%, '.$btn_data->wpbtn_gradient_end_color.'); background:-o-linear-gradient('.$btn_data->wpbtn_gradient_start_color.' '.$btn_data->wpbtn_gradient_stop.'%, '.$btn_data->wpbtn_gradient_end_color.'); background:-webkit-gradient(linear, left top, left bottom, color-stop(.'.$btn_data->wpbtn_gradient_stop.', '.$btn_data->wpbtn_gradient_start_color.'), color-stop(1, '.$btn_data->wpbtn_gradient_end_color.')); border: '.$btn_data->wpbtn_border_style.' '.$btn_data->wpbtn_border_width.' '.$btn_data->wpbtn_border_color.'; -moz-border-radius: '.$btn_data->wpbtn_border_radius_top_left.' '.$btn_data->wpbtn_border_radius_top_right.' '.$btn_data->wpbtn_border_radius_bottom_right.' '.$btn_data->wpbtn_border_radius_bottom_left.'; -webkit-border-radius: '.$btn_data->wpbtn_border_radius_top_left.' '.$btn_data->wpbtn_border_radius_top_right.' '.$btn_data->wpbtn_border_radius_bottom_right.' '.$btn_data->wpbtn_border_radius_bottom_left.'; border-radius: '.$btn_data->wpbtn_border_radius_top_left.' '.$btn_data->wpbtn_border_radius_top_right.' '.$btn_data->wpbtn_border_radius_bottom_right.' '.$btn_data->wpbtn_border_radius_bottom_left.'; text-shadow: '.$btn_data->wpbtn_text_shadow_offset_left.' '.$btn_data->wpbtn_text_shadow_offset_top.' '.$btn_data->wpbtn_text_shadow_width.' '.$btn_data->wpbtn_text_shadow_color.'; box-shadow: '.$btn_data->wpbtn_box_shadow_offset_left.' '.$btn_data->wpbtn_box_shadow_offset_top.' '.$btn_data->wpbtn_box_shadow_width.' '.$btn_data->wpbtn_box_shadow_color.'; margin: 5px; display: inline-block;';
    
    $btn_style['hover'] = 'text-decoration:none; font-family:'.$btn_data->wpbtn_text_font_family.'; color: '.$btn_data->wpbtn_text_color_hover.'; font-size:'.$btn_data->wpbtn_text_font_size.'; font-style:'.$btn_data->wpbtn_text_font_style.'; font-weight:'.$btn_data->wpbtn_text_font_weight.'; padding:'.$btn_data->wpbtn_text_padding_top.' '.$btn_data->wpbtn_text_padding_right.' '.$btn_data->wpbtn_text_padding_bottom.' '.$btn_data->wpbtn_text_padding_left.'; background:linear-gradient('.$btn_data->wpbtn_gradient_start_color_hover.' '.$btn_data->wpbtn_gradient_stop.'%, '.$btn_data->wpbtn_gradient_end_color_hover.'); background:-moz-linear-gradient('.$btn_data->wpbtn_gradient_start_color_hover.' '.$btn_data->wpbtn_gradient_stop.'%, '.$btn_data->wpbtn_gradient_end_color_hover.'); background:-o-linear-gradient('.$btn_data->wpbtn_gradient_start_color_hover.' '.$btn_data->wpbtn_gradient_stop.'%, '.$btn_data->wpbtn_gradient_end_color_hover.'); background:-webkit-gradient(linear, left top, left bottom, color-stop(.'.$btn_data->wpbtn_gradient_stop.', '.$btn_data->wpbtn_gradient_start_color_hover.'), color-stop(1, '.$btn_data->wpbtn_gradient_end_color_hover.')); border: '.$btn_data->wpbtn_border_style.' '.$btn_data->wpbtn_border_width.' '.$btn_data->wpbtn_border_color_hover.'; -moz-border-radius: '.$btn_data->wpbtn_border_radius_top_left.' '.$btn_data->wpbtn_border_radius_top_right.' '.$btn_data->wpbtn_border_radius_bottom_right.' '.$btn_data->wpbtn_border_radius_bottom_left.'; -webkit-border-radius: '.$btn_data->wpbtn_border_radius_top_left.' '.$btn_data->wpbtn_border_radius_top_right.' '.$btn_data->wpbtn_border_radius_bottom_right.' '.$btn_data->wpbtn_border_radius_bottom_left.'; border-radius: '.$btn_data->wpbtn_border_radius_top_left.' '.$btn_data->wpbtn_border_radius_top_right.' '.$btn_data->wpbtn_border_radius_bottom_right.' '.$btn_data->wpbtn_border_radius_bottom_left.'; text-shadow: '.$btn_data->wpbtn_text_shadow_offset_left.' '.$btn_data->wpbtn_text_shadow_offset_top.' '.$btn_data->wpbtn_text_shadow_width.' '.$btn_data->wpbtn_text_shadow_color_hover.'; box-shadow: '.$btn_data->wpbtn_box_shadow_offset_left.' '.$btn_data->wpbtn_box_shadow_offset_top.' '.$btn_data->wpbtn_box_shadow_width.' '.$btn_data->btn_box_shadow_hover_color.'; margin: 5px; display: inline-block;';
  }else{
    $btn_style['defaults'] = 'text-decoration:none; font-family:Georgia; color: #000; font-size:16px; font-style:normal; font-weight:normal; padding:10px 20px; background:linear-gradient(#fff 45%, #ededed); background:-moz-linear-gradient(#fff 45%, #ededed); background:-o-linear-gradient(#fff 45%, #ededed); background:-webkit-gradient(linear, left top, left bottom, color-stop(.45, #fff), color-stop(1, #ededed)); border: solid 1px #999; -moz-border-radius: 4px 4px 4px 4px; -webkit-border-radius: 4px 4px 4px 4px; border-radius: 4px 4px 4px 4px; text-shadow: 2px 2px 2px #ccc; box-shadow: 2px 2px 2px #ccc; margin: 5px; display: inline-block;';
    $btn_style['hover'] = 'text-decoration:none; font-family:Georgia; color: #292729; font-size:16px; font-style:normal; font-weight:normal; padding:10px 20px; background:linear-gradient(#ededed 45%, #b5b5b5); background:-moz-linear-gradient(#ededed 45%, #b5b5b5); background:-o-linear-gradient(#ededed 45%, #b5b5b5); background:-webkit-gradient(linear, left top, left bottom, color-stop(.45, #00adee), color-stop(1, #0078a5)); border: solid 1px #999; -moz-border-radius: 4px 4px 4px 4px; -webkit-border-radius: 4px 4px 4px 4px; border-radius: 4px 4px 4px 4px; text-shadow: 2px 2px 2px #ccc; box-shadow: 2px 2px 2px #ccc; margin: 5px; display: inline-block;';
  }
  return $btn_style;
}

function wpbuttons_add_view($data){
  $buttonid = $data['btnid']->button_id;
  isset($data['btn_results'])? $btnobj = $data['btn_results']: $btnobj='';
  //$btnobj = $data['btn_results'];
  echo '<div class="wrap">';
  echo '<div id="icon-link-manager" class="icon32"><br /></div>';
  ?>
  <h2>Buttons Add/Edit</h2>
  <div id="poststuff">
      <div id="post-body" class="metabox-holder columns-2">
        <div id="post-body-content">
          <form name="wpbuttons_form" id="wpbuttons_form" method="post" action="admin.php?page=wpbuttons-add&act=addbtn" enctype="multipart/form-data">
          <input type="hidden" name="wpbtn_button_id" value="<?php echo $buttonid; ?>"/>
          
          <div class="stuffbox">
            <h3><label for="link_name">Quick Usage Instruction</label></h3>
            <div class="inside">
          	<p>Step 1: Enter a name and description for this button.</p>
          	<p>Step 2: Enter the button text and the target URL values.</p>
          	<p>Step 3: Save the details by clicking the "Save" button (see the button preview section). This will populate some default button CSS properties.</p>
          	<p>Step 4: Customize all the visual properties of the button then save it again.</p>
          	<p>Step 5: Use the appropriate shortcode to place this button on your site.</p>
          	<p>Visit the <a href="http://www.tipsandtricks-hq.com/?p=4829" target="_blank">Button Creator Plugin Page</a> for more details.</p>
          </div></div>	

          <div class="stuffbox">
            <h3><label for="link_name">Basics</label></h3>
            <div class="inside">
              <table cellpadding="0">
                <tr>
                  <td class="tdlabel">Name</td>
                  <td>
                    <input type="text" name="btn_name" id="btn_name" value="<?php echo $btnobj->wpbtn_name; ?>" class="tdinputa" />
                    <span class="lblhlp" >Enter a name for this button</span>
                  </td>
                </tr>
                <tr>
                  <td class="tdlabel" valign="top">Description</td>
                  <td >
                    <textarea name="btn_desc" class="tdinputa"><?php echo $btnobj->wpbtn_description; ?></textarea>
                    <span class="lblhlp" >Enter a description for this button</span>
                  </td>
              </table>
            </div>
          </div>
          <div class="stuffbox">
            <h3><label for="link_name">Button Content</label></h3>
            <div class="inside">
              <table cellpadding="0">
                <tr>
                  <td class="tdlabel">Button Text</td>
                  <td>
                    <input type="text" name="btn_text" id="btn_text" value="<?php echo $btnobj->wpbtn_text; ?>" class="tdinputa" />
                    <span class="lblhlp" >Button text that will appear on the button</span>
                  </td>
                </tr>
                <tr>
                  <td class="tdlabel">Target URL</td>
                  <td>
                    <input type="text" name="btn_url" id="btn_url" value="<?php echo $btnobj->wpbtn_url; ?>" class="tdinputa" />
                    <span class="lblhlp" >Button link when the button is clicked. Enter the URL where the visitor will be sent to when this button is clicked.</span>
                  </td>
                </tr>
                <tr>
                  <td class="tdlabel">Open New Window?</td>
                  <td><input type="checkbox" name="btn_target" value="" <?php if($btnobj->wpbtn_new_window==1){echo 'checked="checked"';}?> /> 
                    Check this opiton if you want to open the target URL in a new window</td>
                </tr>
              </table>
            </div>
          </div>
          <div class="stuffbox">
            <h3><label for="link_name">Button Text Styles</label></h3>
            <div class="inside">
              <table>
                <tr>
                  <td class="tdlabel">Font</td>
                  <td>
                    <select name="btn_font_family" id="btn_font_family" class="tdinputb">
                      <option value="" <?php if($btnobj->wpbtn_text_font_family==''){echo 'selected="selected"';}?> ></option>
                      <option value="Arial" <?php if($btnobj->wpbtn_text_font_family=='Arial'){echo 'selected="selected"';}?> >Arial</option>
                      <option value="Georgia" <?php if($btnobj->wpbtn_text_font_family=='Georgia'){echo 'selected="selected"';}?> >Georgia</option>
                      <option value="Tahoma" <?php if($btnobj->wpbtn_text_font_family=='Tahoma'){echo 'selected="selected"';}?> >Tahoma</option>
                      <option value="Times New Roman" <?php if($btnobj->wpbtn_text_font_family=='Times New Roman'){echo 'selected="selected"';}?> >
                        Times New Roman
                      </option>
                      <option value="Trebuchet MS" <?php if($btnobj->wpbtn_text_font_family=='Trebuchet MS'){echo 'selected="selected"';}?>>
                        Trebuchet MS
                      </option>
                      <option value="Verdana" <?php if($btnobj->wpbtn_text_font_family=='Verdana'){echo 'selected="selected"';}?>>Verdana</option>
                    </select>
                    <span class="lblhlp">Default: Georgia</span>
                  </td>
                </tr>
                <tr>
                  <td class="tdlabel">Font Size</td>
                  <td>
                    <?php $wpbtn_tfs = explode('px',$btnobj->wpbtn_text_font_size); $wpbtn_tfs = $wpbtn_tfs[0];?>
                    <input type="text" name="btn_font_size" id="btn_font_size" value="<?php echo $wpbtn_tfs?>" class="tdinputb" />px
                    <span class="lblhlp">Default: 16px</span>
                  </td>
                </tr>
                <tr>
                  <td class="tdlabel">Font Style</td>
                  <td>
                    <select name="btn_font_style" id="btn_font_style" class="tdinputb">
                      <option value="" <?php if($btnobj->wpbtn_text_font_style==''){echo 'selected="selected"';}?> ></option>
                      <option value="normal" <?php if($btnobj->wpbtn_text_font_style=='normal'){echo 'selected="selected"';}?> >normal</option>
                      <option value="italic" <?php if($btnobj->wpbtn_text_font_style=='italic'){echo 'selected="selected"';}?> >italic</option>
                    </select>
                    <span class="lblhlp">Default: normal</span>
                  </td>
                </tr>
                <tr>
                  <td class="tdlabel">Font Weight</td>
                  <td>
                    <select name="btn_font_weight" id="btn_font_weight" class="tdinputb">
                      <option value="" <?php if($btnobj->wpbtn_text_font_weight==''){echo 'selected="selected"';}?>></option>
                      <option value="normal" <?php if($btnobj->wpbtn_text_font_weight=='normal'){echo 'selected="selected"';}?>>normal</option>
                      <option value="bold" <?php if($btnobj->wpbtn_text_font_weight=='bold'){echo 'selected="selected"';}?>>bold</option>
                    </select>
                    <span class="lblhlp">Default: normal</span>
                  </td>
                </tr>
                <tr>
                  <td class="tdlabel">Shadow Offset Left</td>
                  <td>
                    <?php $wpbtn_tsol = explode('px',$btnobj->wpbtn_text_shadow_offset_left); $wpbtn_tsol = $wpbtn_tsol[0];?>
                    <input type="text" name="btn_font_shadow_left" id="btn_font_shadow_left" value="<?php echo $wpbtn_tsol; ?>" class="tdinputc" />px
                    <span class="lblhlp">Default: -1px</span></td>
                </tr>
                <tr>
                  <td class="tdlabel">Shadow Offset Top</td>
                  <td>
                    <?php $wpbtn_tsot = explode('px',$btnobj->wpbtn_text_shadow_offset_top); $wpbtn_tsot = $wpbtn_tsot[0];?>
                    <input type="text" name="btn_font_shadow_top" id="btn_font_shadow_top" value="<?php echo $wpbtn_tsot; ?>" class="tdinputc" />px
                    <span class="lblhlp">Default: -1px</span>
                  </td>
                </tr>
                <tr>
                  <td class="tdlabel">Shadow Width</td>
                  <td>
                    <?php $wpbtn_tsw = explode('px',$btnobj->wpbtn_text_shadow_width); $wpbtn_tsw = $wpbtn_tsw[0];?>
                    <input type="text" name="btn_font_shadow_width" id="btn_font_shadow_width" value="<?php echo $wpbtn_tsw; ?>" class="tdinputc" />px
                    <span class="lblhlp">Default: 0px</span>
                  </td>
                </tr>
                <tr><td>&nbsp;</td></tr>
                <tr>
                  <td class="tdlabel" valign="top">Padding</td>
                  <td>
                    <table>
                      <tr>
                        <td class="sbtdlabel">Top</td>
                        <td>
                          <?php $wpbtn_tpt = explode('px',$btnobj->wpbtn_text_padding_top); $wpbtn_tpt = $wpbtn_tpt[0];?>
                          <input type="text" name="btn_font_padding_top" id="btn_font_padding_top" value="<?php echo $wpbtn_tpt; ?>" class="tdinputc" />px
                          <span class="lblhlp">Default: 10px</span>
                        </td>
                      </tr>
                      <tr>
                        <td class="sbtdlabel">Bottom</td>
                        <td>
                          <?php $wpbtn_tpb = explode('px',$btnobj->wpbtn_text_padding_bottom); $wpbtn_tpb = $wpbtn_tpb[0];?>
                          <input type="text" name="btn_font_padding_bottom" id="btn_font_padding_bottom" value="<?php echo $wpbtn_tpb; ?>" class="tdinputc" />px
                          <span class="lblhlp">Default: 10px</span>
                        </td>
                      </tr>
                      <tr>
                        <td class="sbtdlabel">Left</td>
                        <td>
                          <?php $wpbtn_tpl = explode('px',$btnobj->wpbtn_text_padding_left); $wpbtn_tpl = $wpbtn_tpl[0];?>
                          <input type="text" name="btn_font_padding_left" id="btn_font_padding_left" value="<?php echo $wpbtn_tpl; ?>" class="tdinputc" />px
                          <span class="lblhlp">Default: 20px</span>
                        </td>
                      </tr>
                      <tr>
                        <td class="sbtdlabel">Right</td>
                        <td>
                          <?php $wpbtn_tpr = explode('px',$btnobj->wpbtn_text_padding_right); $wpbtn_tpr = $wpbtn_tpr[0];?>
                          <input type="text" name="btn_font_padding_right" id="btn_font_padding_right" value="<?php echo $wpbtn_tpr; ?>" class="tdinputc" />px
                          <span class="lblhlp">Default: 20px</span>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </div>
          </div>
          <div class="stuffbox">
            <h3><label for="link_name">Button Border Styles</label></h3>
            <div class="inside">
              <table cellpadding="0">
                <tr>
                  <td class="tdlabel">Border Style</td>
                  <td>
                    <select name="btn_border_style" id="btn_border_style" class="tdinputb">
                      <option value="" <?php if($btnobj->wpbtn_border_style==''){echo 'selected="selected"';}?> ></option>
                      <option value="solid" <?php if($btnobj->wpbtn_border_style=='solid'){echo 'selected="selected"';}?> >solid</option>
                      <option value="dashed" <?php if($btnobj->wpbtn_border_style=='dashed'){echo 'selected="selected"';}?> >dashed</option>
                      <option value="dotted" <?php if($btnobj->wpbtn_border_style=='dotted'){echo 'selected="selected"';}?> >dotted</option>
                      <option value="double" <?php if($btnobj->wpbtn_border_style=='double'){echo 'selected="selected"';}?> >double</option>
                    </select>
                    <span class="lblhlp">Default: solid</span>
                  </td>
                </tr>
                <tr>
                  <td class="tdlabel">Border width</td>
                  <td>
                    <?php $wpbtn_bw = explode('px',$btnobj->wpbtn_border_width); $wpbtn_bw = $wpbtn_bw[0];?>
                    <input type="text" name="btn_border_width" id="btn_border_width" value="<?php echo $wpbtn_bw; ?>" class="tdinputc" />px
                    <span class="lblhlp">Default: 1px</span>
                  </td>
                </tr>
                <tr><td>&nbsp;</td></tr>
                <tr>
                  <td class="tdlabel" valign="top">Border Radius</td>
                  <td>
                    <table>
                      <tr>
                        <td class="sbtdlabel">Top Left</td>
                        <td>
                          <?php $wpbtn_brtl = explode('px',$btnobj->wpbtn_border_radius_top_left); $wpbtn_brtl = $wpbtn_brtl[0];?>
                          <input type="text" name="btn_border_radius_top_left" id="btn_border_radius_top_left" value="<?php echo $wpbtn_brtl; ?>" class="tdinputc" />px
                          <span class="lblhlp">Default: 1px</span>
                        </td>
                      </tr>
                      <tr>
                        <td class="sbtdlabel">Top Right</td>
                        <td>
                          <?php $wpbtn_brtr = explode('px',$btnobj->wpbtn_border_radius_top_right); $wpbtn_brtr = $wpbtn_brtr[0];?>
                          <input type="text" name="btn_border_radius_top_right" id="btn_border_radius_top_right" value="<?php echo $wpbtn_brtr; ?>" class="tdinputc" />px
                          <span class="lblhlp">Default: 1px</span>
                        </td>
                      </tr>
                      <tr>
                        <td class="sbtdlabel">Bottom Left</td>
                        <td>
                          <?php $wpbtn_brbl = explode('px',$btnobj->wpbtn_border_radius_bottom_left); $wpbtn_brbl = $wpbtn_brbl[0];?>
                          <input type="text" name="btn_border_radius_bottom_left" id="btn_border_radius_bottom_left" value="<?php echo $wpbtn_brbl; ?>" class="tdinputc" />px
                          <span class="lblhlp">Default: 1px</span>
                        </td>
                      </tr>
                      <tr>
                        <td class="sbtdlabel">Bottom Right</td>
                        <td>
                          <?php $wpbtn_brbr = explode('px',$btnobj->wpbtn_border_radius_bottom_right); $wpbtn_brbr = $wpbtn_brbr[0];?>
                          <input type="text" name="btn_border_radius_bottom_right" id="btn_border_radius_bottom_right" value="<?php echo $wpbtn_brbr; ?>" class="tdinputc" />px
                          <span class="lblhlp">Default: 1px</span>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr><td>&nbsp;</td></tr>
                <tr>
                  <td class="tdlabel">Shadow Offset Left</td>
                  <td>
                    <?php $wpbtn_bsol = explode('px',$btnobj->wpbtn_box_shadow_offset_left); $wpbtn_bsol = $wpbtn_bsol[0];?>
                    <input type="text" name="btn_shadow_left" id="btn_shadow_left" value="<?php echo $wpbtn_bsol; ?>" class="tdinputc" />px
                    <span class="lblhlp">Default: 1px</span>
                  </td>
                </tr>
                <tr>
                  <td class="tdlabel">Shadow Offset Top</td>
                  <td>
                    <?php $wpbtn_bsot = explode('px',$btnobj->wpbtn_box_shadow_offset_top); $wpbtn_bsot = $wpbtn_bsot[0];?>
                    <input type="text" name="btn_shadow_top" id="btn_shadow_top" value="<?php echo $wpbtn_bsot; ?>" class="tdinputc" />px
                    <span class="lblhlp">Default: 1px</span>
                  </td>
                </tr>
                <tr>
                  <td class="tdlabel">Shadow Width</td>
                  <td>
                    <?php $wpbtn_bsw = explode('px',$btnobj->wpbtn_box_shadow_width); $wpbtn_bsw = $wpbtn_bsw[0];?>
                    <input type="text" name="btn_shadow_width" id="btn_shadow_width" value="<?php echo $wpbtn_bsw; ?>" class="tdinputc" />px
                    <span class="lblhlp">Default: 1px</span>
                  </td>
                </tr>
              </table>
            </div>
          </div>
          <div class="stuffbox">
            <h3><label for="link_name">Button Colors</label></h3>
            <div class="inside">
              <table>
                <tr>
                  <td class="tdlabel">Gradient Stop</td>
                  <td>
                    <input type="text" name="btn_gradient_stop" id="btn_gradient_stop" value="<?php echo $btnobj->wpbtn_gradient_stop; ?>" />
                    <span class="lblhlp">Default: 45 (1 - 99 accepted)</span>
                  </td>
                </tr>
                <tr><td>&nbsp;</td></tr>
                <tr>
                  <td class="tdlabel" valign="top">Colors</td>
                  <td>
                    <table>
                      <tr>
                        <td class="sbtdlabel">Text</td>
                        <td>
                          <div id="colorSelector_txt" class="colorSelectors">
                            <div style="background-color: <?php echo ($btnobj->wpbtn_text_color!='' ? $btnobj->wpbtn_text_color:'#000000'); ?>"></div>
                          </div>
                          <input type="hidden" name="btn_text_color" id="btn_text_color" value="<?php echo ($btnobj->wpbtn_text_color!='' ? $btnobj->wpbtn_text_color:'#000000'); ?>" /> 
                        </td>
                        <td width="150"><span class="lblhlp_color">Default: #000000</span></td>
                        <td class="sbtdlabel">Text Hover</td>
                        <td>
                          <div id="colorSelector_txt_hover" class="colorSelectors">
                            <div style="background-color: <?php echo ($btnobj->wpbtn_text_color_hover!='' ? $btnobj->wpbtn_text_color_hover:'#999999'); ?>"></div>
                          </div>
                          <input type="hidden" name="btn_text_hover_color" id="btn_text_hover_color" value="<?php echo ($btnobj->wpbtn_text_color_hover!='' ? $btnobj->wpbtn_text_color_hover:'#999999'); ?>" />
                        </td>
                        <td><span class="lblhlp_color">Default: #999999</span></td>
                      </tr>
                      <tr>
                        <td class="sbtdlabel">Text Shadow</td>
                        <td>
                          <div id="colorSelector_txt_shadow" class="colorSelectors">
                            <div style="background-color: <?php echo ($btnobj->wpbtn_text_shadow_color!='' ? $btnobj->wpbtn_text_shadow_color:'#cccccc'); ?>"></div>
                          </div>
                          <input type="hidden" name="btn_text_shadow_color" id="btn_text_shadow_color" value="<?php echo ($btnobj->wpbtn_text_shadow_color!='' ? $btnobj->wpbtn_text_shadow_color:'#cccccc'); ?>" />
                        </td>
                        <td><span class="lblhlp_color">Default: #cccccc</span></td>
                        <td class="sbtdlabel">Text Shadow Hover</td>
                        <td>
                          <div id="colorSelector_txt_shadow_hover" class="colorSelectors">
                            <div style="background-color: <?php echo ($btnobj->wpbtn_text_shadow_color_hover!='' ? $btnobj->wpbtn_text_shadow_color_hover:'#cccccc'); ?>"></div>
                          </div>
                          <input type="hidden" name="btn_text_shadow_hover_color" id="btn_text_shadow_hover_color" value="<?php echo ($btnobj->wpbtn_text_shadow_color_hover!='' ? $btnobj->wpbtn_text_shadow_color_hover:'#cccccc'); ?>" />
                        </td>
                        <td><span class="lblhlp_color">Default: #cccccc</span></td>
                      </tr>
                      <tr>
                        <td class="sbtdlabel">Gradient Start</td>
                        <td>
                          <div id="colorSelector_gradient_color_start" class="colorSelectors">
                            <div style="background-color: <?php echo ($btnobj->wpbtn_gradient_start_color!='' ? $btnobj->wpbtn_gradient_start_color:'#ffffff'); ?>"></div>
                          </div>
                          <input type="hidden" name="btn_gradient_start_color" id="btn_gradient_start_color" value="<?php echo ($btnobj->wpbtn_gradient_start_color!='' ? $btnobj->wpbtn_gradient_start_color:'#ffffff'); ?>" />
                        </td>
                        <td><span class="lblhlp_color">Default: #ffffff</span></td>
                        <td class="sbtdlabel">Gradient Start Hover</td>
                        <td>
                          <div id="colorSelector_gradient_hover_color_start" class="colorSelectors">
                            <div style="background-color: <?php echo ($btnobj->wpbtn_gradient_start_color_hover!='' ? $btnobj->wpbtn_gradient_start_color_hover:'#00adee'); ?>"></div>
                          </div>
                          <input type="hidden" name="btn_gradient_start_hover_color" id="btn_gradient_start_hover_color" value="<?php echo ($btnobj->wpbtn_gradient_start_color_hover!='' ? $btnobj->wpbtn_gradient_start_color_hover:'#ededed'); ?>" />
                        </td>
                        <td><span class="lblhlp_color">Default: #ededed</span></td>
                      </tr>
                      <tr>
                        <td class="sbtdlabel">Gradient End</td>
                        <td>
                          <div id="colorSelector_gradient_color_stop" class="colorSelectors">
                            <div style="background-color: <?php echo ($btnobj->wpbtn_gradient_end_color!='' ? $btnobj->wpbtn_gradient_end_color:'#ededed'); ?>"></div>
                          </div>
                          <input type="hidden" name="btn_gradient_end_color" id="btn_gradient_end_color" value="<?php echo ($btnobj->wpbtn_gradient_end_color!='' ? $btnobj->wpbtn_gradient_end_color:'#ededed'); ?>" />
                        </td>
                        <td><span class="lblhlp_color">Default: #ededed</span></td>
                        <td class="sbtdlabel">Gradient End Hover</td>
                        <td>
                          <div id="colorSelector_gradient_hover_color_stop" class="colorSelectors">
                            <div style="background-color: <?php echo ($btnobj->wpbtn_gradient_end_color_hover!='' ? $btnobj->wpbtn_gradient_end_color_hover:'#0078a5'); ?>"></div>
                          </div>
                          <input type="hidden" name="btn_gradient_end_hover_color" id="btn_gradient_end_hover_color" value="<?php echo ($btnobj->wpbtn_gradient_end_color_hover!='' ? $btnobj->wpbtn_gradient_end_color_hover:'#b5b5b5'); ?>" />
                        </td>
                        <td><span class="lblhlp_color">Default: #b5b5b5</span></td>
                      </tr>
                      <tr>
                        <td class="sbtdlabel">Border</td>
                        <td>
                          <div id="colorSelector_border" class="colorSelectors">
                            <div style="background-color: <?php echo ($btnobj->wpbtn_border_color!='' ? $btnobj->wpbtn_border_color:'#999999'); ?>"></div>
                          </div>
                          <input type="hidden" name="btn_border_color" id="btn_border_color" value="<?php echo ($btnobj->wpbtn_border_color!='' ? $btnobj->wpbtn_border_color:'#999999'); ?>" />
                        </td>
                        <td><span class="lblhlp_color">Default: #999999</span></td>
                        <td class="sbtdlabel">Border Hover</td>
                        <td>
                          <div id="colorSelector_border_hover" class="colorSelectors">
                            <div style="background-color: <?php echo ($btnobj->wpbtn_border_color_hover!='' ? $btnobj->wpbtn_border_color_hover:'#999999'); ?>"></div>
                          </div>
                          <input type="hidden" name="btn_border_hover_color" id="btn_border_hover_color" value="<?php echo $btnobj->wpbtn_border_color_hover; ?>" />
                        </td>
                        <td><span class="lblhlp_color">Default: #999999</span></td>
                      </tr>
                      <tr>
                        <td class="sbtdlabel">Box Shadow</td>
                        <td>
                          <div id="colorSelector_box_shadow" class="colorSelectors">
                            <div style="background-color: <?php echo ($btnobj->wpbtn_box_shadow_color!='' ? $btnobj->wpbtn_box_shadow_color:'#cccccc'); ?>"></div>
                          </div>
                          <input type="hidden" name="btn_box_shadow_color" id="btn_box_shadow_color" value="<?php echo ($btnobj->wpbtn_box_shadow_color!='' ? $btnobj->wpbtn_box_shadow_color:'#cccccc'); ?>" />
                        </td>
                        <td><span class="lblhlp_color">Default: #cccccc</span></td>
                        <td class="sbtdlabel">Box Shadow Hover</td>
                        <td align="left">
                          <div id="colorSelector_box_hover_shadow" class="colorSelectors">
                            <div style="background-color: <?php echo ($btnobj->wpbtn_box_shadow_color_hover!='' ? $btnobj->wpbtn_box_shadow_color_hover:'#cccccc' ); ?>"></div>
                          </div>
                          <input type="hidden" name="btn_box_shadow_hover_color" id="btn_box_shadow_hover_color" value="<?php echo ($btnobj->wpbtn_box_shadow_color_hover!='' ? $btnobj->wpbtn_box_shadow_color_hover:'#cccccc' ); ?>" />
                        </td>
                        <td><span class="lblhlp_color">Default: #cccccc</span></td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </div>
          </div>
          <div class="stuffbox">
            <h3><label for="link_name">Button Container</label></h3>
            <div class="inside">
              <table cellpadding="0">
                <tr>
                  <td class="tdlabel">Use Container</td>
                  <td><input type="checkbox" name="btn_container" value="" <?php if($btnobj->wpbtn_container_enabled==1){echo 'checked="checked"';} ?> /></td>
                </tr>
                <tr>
                  <td class="tdlabel">Width</td>
                  <td><input type="text" name="btn_container_width" value="<?php echo $btnobj->wpbtn_container_width; ?>" class="tdinputc" />px</td>
                </tr>
                <tr>
                  <td class="tdlabel">Margin Top</td>
                  <td>
                    <?php $wpbtn_cmt = explode('px',$btnobj->wpbtn_container_margin_top); $wpbtn_cmt = $wpbtn_cmt[0];?>
                    <input type="text" name="btn_contnr_margin_top" value="<?php echo $wpbtn_cmt; ?>" class="tdinputc" />px
                  </td>
                </tr>
                <tr>
                  <td class="tdlabel">Margin Right</td>
                  <td>
                    <?php $wpbtn_cmr = explode('px',$btnobj->wpbtn_container_margin_right); $wpbtn_cmr = $wpbtn_cmr[0];?>
                    <input type="text" name="btn_contnr_margin_right" value="<?php echo $wpbtn_cmr; ?>" class="tdinputc" />px
                  </td>
                </tr>
                <tr>
                  <td class="tdlabel">Margin Bottom</td>
                  <td>
                    <?php $wpbtn_cmb = explode('px',$btnobj->wpbtn_container_margin_bottom); $wpbtn_cmb = $wpbtn_cmb[0];?>
                    <input type="text" name="btn_contnr_margin_bottom" value="<?php echo $wpbtn_cmb; ?>" class="tdinputc" />px
                  </td>
                </tr>
                <tr>
                  <td class="tdlabel">Margin Left</td>
                  <td>
                    <?php $wpbtn_cml = explode('px',$btnobj->wpbtn_container_margin_left); $wpbtn_cml = $wpbtn_cml[0];?>
                    <input type="text" name="btn_contnr_margin_left" value="<?php echo $btnobj->wpbtn_container_margin_left; ?>" class="tdinputc" />px
                  </td>
                </tr>
                <tr>
                  <td class="tdlabel">Alignment</td>
                  <td>
                    <select name="btn_container_align" class="tdinputb">
                      <option value="" <?php if($btnobj->wpbtn_container_alignment==''){echo 'selected="selected"';}?> ></option>
                      <option value="display: inline-block" <?php if($btnobj->wpbtn_container_alignment=='display: inline-block'){echo 'selected="selected"';}?> >
                        display: inline-block
                      </option>
                      <option value="float: left" <?php if($btnobj->wpbtn_container_alignment=='float: left'){echo 'selected="selected"';}?>>
                        float: left
                      </option>
                      <option value="float: right" <?php if($btnobj->wpbtn_container_alignment=='float: right'){echo 'selected="selected"';}?>>
                        float: right
                      </option>
                    </select>
                  </td>
                </tr>
              </table>
            </div>
          </div>
          </form>
        </div>
        <div id="postbox-container-1" class="postbox-container">
          <div id="side-sortables" class="meta-box-sortables ui-sortable">
            <div class="stuffbox wpbtn_preview_box">
              <h3><span>Button Preview</span></h3>
              <div class="inside">
                <div>
                  <?php $wpbtndts = wpbutton_default_style($buttonid); ?>
                  <a id="wpbtn_disp" href="" style="<?php echo $wpbtndts['defaults'];?>">&nbsp;</a><br />
                  <a id="wpbtn_disp_hover" href="" style="<?php echo $wpbtndts['hover'];?>">&nbsp;</a>
                </div>
                <div class="wpbuttons_sv_btns">
                  <a class="button-primary" onclick="javascript:wpbuttons_save()">Save</a>&nbsp;&nbsp;
					&nbsp;&nbsp;
                  <!-- <a class="button" onclick="javascript:wpbuttons_delete()">Delete</a>  -->
                </div>
              </div>
            </div>
          </div>  
        </div>
    </div>
  </div>
  <?php
  echo '</div>';
}
?>