<?php
function wpbuttons_get_button_data($btnid){
  global $wpdb;
  $tablename=wpbutton_table_name();
  $sql = "SELECT * FROM $tablename WHERE id='$btnid' LIMIT 1";
  $result = $wpdb->get_row($sql);
  return $result;
}
function wpbutton_shortcode($atts){
  global $wpdb;
  $button_id = $atts['ids'];
  $button_id = explode('_',$button_id);
  $button_id = $button_id[1];
  
  isset($atts['target_url'])? $button_target_url = $atts['target_url'] : $button_target_url = '';
  isset($atts['classes'])? $button_classes = ' '.$atts['classes'] : $button_classes = '';
  
  $btn_data = wpbuttons_get_button_data($button_id);
  if(empty($button_target_url)){//use the URL sepcified in the button configuration or else use the one from shortcode
  	$button_target_url = $btn_data->wpbtn_url;
  }
  
  $output = '';
  
  $debug_marker = "<!-- WP Button Creator plugin v" . WP_BUTTON_CREATOR_VERSION . " - http://www.tipsandtricks-hq.com/?p=4829 -->";
  $output .= "\n".$debug_marker."\n";
  
  $output .= '<style type="text/css">';
  $output .= 'div.wpbtn_container_'.$btn_data->id.'{';
  if($btn_data->wpbtn_container_enabled){
    $output .= 'width:'.$btn_data->wpbtn_container_width.'px;';
    $output .= 'margin:'.$btn_data->wpbtn_container_margin_top.'px '.$btn_data->wpbtn_container_margin_right.'px '.$btn_data->wpbtn_container_margin_bottom.'px '.$btn_data->wpbtn_container_margin_left.'px;';
    $output .= $btn_data->wpbtn_container_alignment.';';
  }
  $output .= '}';
  $output .= 'a.wpbtn_'.$btn_data->id.'{';
  $output .= 'text-decoration:none;';
  $output .= 'font-family:'.$btn_data->wpbtn_text_font_family.';';
  $output .= 'color:'.$btn_data->wpbtn_text_color.';';
  $output .= 'font-size:'.$btn_data->wpbtn_text_font_size.';';
  $output .= 'font-style:'.$btn_data->wpbtn_text_font_style.';';
  $output .= 'font-weight:'.$btn_data->wpbtn_text_font_weight.';';
  $output .= 'padding:'.$btn_data->wpbtn_text_padding_top.' '.$btn_data->wpbtn_text_padding_right.' '.$btn_data->wpbtn_text_padding_bottom.' '.$btn_data->wpbtn_text_padding_left.';';
  //$output .= 'background-color:'.$btn_data->wpbtn_text_font_family.';';
  $output .= 'background:linear-gradient('.$btn_data->wpbtn_gradient_start_color.' '.$btn_data->wpbtn_gradient_stop.'%, '.$btn_data->wpbtn_gradient_end_color.');';
  $output .= 'background:-moz-linear-gradient('.$btn_data->wpbtn_gradient_start_color.' '.$btn_data->wpbtn_gradient_stop.'%, '.$btn_data->wpbtn_gradient_end_color.');';
  $output .= 'background:-o-linear-gradient('.$btn_data->wpbtn_gradient_start_color.' '.$btn_data->wpbtn_gradient_stop.'%, '.$btn_data->wpbtn_gradient_end_color.');';
  $output .= 'background:-webkit-gradient(linear, left top, left bottom, color-stop(.'.$btn_data->wpbtn_gradient_stop.', '.$btn_data->wpbtn_gradient_start_color.'), color-stop(1, '.$btn_data->wpbtn_gradient_end_color.'));';
  $output .= 'border:'.$btn_data->wpbtn_border_style.' '.$btn_data->wpbtn_border_width.' '.$btn_data->wpbtn_border_color.';';
  $output .= '-moz-border-radius:'.$btn_data->wpbtn_border_radius_top_left.' '.$btn_data->wpbtn_border_radius_top_right.' '.$btn_data->wpbtn_border_radius_bottom_right.' '.$btn_data->wpbtn_border_radius_bottom_left.';';
  $output .= '-webkit-border-radius:'.$btn_data->wpbtn_border_radius_top_left.' '.$btn_data->wpbtn_border_radius_top_right.' '.$btn_data->wpbtn_border_radius_bottom_right.' '.$btn_data->wpbtn_border_radius_bottom_left.';';
  $output .= 'border-radius:'.$btn_data->wpbtn_border_radius_top_left.' '.$btn_data->wpbtn_border_radius_top_right.' '.$btn_data->wpbtn_border_radius_bottom_right.' '.$btn_data->wpbtn_border_radius_bottom_left.';';
  $output .= 'text-shadow:'.$btn_data->wpbtn_text_shadow_offset_left.' '.$btn_data->wpbtn_text_shadow_offset_top.' '.$btn_data->wpbtn_text_shadow_width.' '.$btn_data->wpbtn_text_shadow_color.';';
  $output .= 'box-shadow:'.$btn_data->wpbtn_box_shadow_offset_left.' '.$btn_data->wpbtn_box_shadow_offset_top.' '.$btn_data->wpbtn_box_shadow_width.' '.$btn_data->wpbtn_box_shadow_color.';';
  $output .= 'margin: 2px;';
  $output .= 'display: inline-block;';
  $output .= '}';
  $output .= 'a.wpbtn_'.$btn_data->id.':hover{';
  $output .= 'color:'.$btn_data->wpbtn_text_color_hover.';';
  $output .= 'background:linear-gradient('.$btn_data->wpbtn_gradient_start_color_hover.' '.$btn_data->wpbtn_gradient_stop.'%, '.$btn_data->wpbtn_gradient_end_color_hover.');';
  $output .= 'background:-moz-linear-gradient('.$btn_data->wpbtn_gradient_start_color_hover.' '.$btn_data->wpbtn_gradient_stop.'%, '.$btn_data->wpbtn_gradient_end_color_hover.');';
  $output .= 'background:-o-linear-gradient('.$btn_data->wpbtn_gradient_start_color_hover.' '.$btn_data->wpbtn_gradient_stop.'%, '.$btn_data->wpbtn_gradient_end_color_hover.');';
  $output .= 'background:-webkit-gradient(linear, left top, left bottom, color-stop(.'.$btn_data->wpbtn_gradient_stop.', '.$btn_data->wpbtn_gradient_start_color_hover.'), color-stop(1, '.$btn_data->wpbtn_gradient_end_color_hover.'));';
  $output .= 'text-shadow:'.$btn_data->wpbtn_text_shadow_offset_left.' '.$btn_data->wpbtn_text_shadow_offset_top.' '.$btn_data->wpbtn_text_shadow_width.' '.$btn_data->wpbtn_text_shadow_color_hover.';';
  $output .= 'box-shadow:'.$btn_data->wpbtn_box_shadow_offset_left.' '.$btn_data->wpbtn_box_shadow_offset_top.' '.$btn_data->wpbtn_box_shadow_width.' '.$btn_data->wpbtn_box_shadow_color_hover.';';
   $output .= 'border:'.$btn_data->wpbtn_border_style.' '.$btn_data->wpbtn_border_width.' '.$btn_data->wpbtn_border_color_hover.';';
  $output .= '}';
  $output .= '</style>';
  
  if($btn_data->wpbtn_container_enabled){
    $output .= '<div class="wpbtn_container wpbtn_container_'.$btn_data->id.'">';
  }
  $output .= '<a class="wpbtn_'.$btn_data->id.$button_classes.'" href="'.$button_target_url.'" target="'.($btn_data->wpbtn_new_window!='0' ? '_blank':'').'">'.$btn_data->wpbtn_text.'</a>';
  if($btn_data->wpbtn_container_enabled){
    $output .= '</div>';
  }
  //$output .= '';
  return $output;
} 

if (!is_admin())
{add_filter('widget_text', 'do_shortcode');}
add_shortcode('wpbuttons', 'wpbutton_shortcode');
