<?php
/*
Plugin Name: WP Button Creator
Plugin URI: http://www.tipsandtricks-hq.com/?p=4829
Description: Easy Wordpress CSS3 Button creator. Allows you to create beautiful looking buttons without requiring any coding skills.
Version: 1.6
Author: Tips and Tricks HQ
Author URI: http://www.tipsandtricks-hq.com/
License: GPL2
*/

define('WP_BUTTON_CREATOR_VERSION', '1.6');
define('WP_BUTTON_CREATOR_URL', plugins_url('',__FILE__));
define('WP_BUTTON_CREATOR_PATH',plugin_dir_path( __FILE__ ));

include ('includes/wpbuttons-init.php');
include ('includes/wpbuttons-manage.php');
include ('includes/wpbuttons-add.php');
include ('includes/wpbuttons-list.php');
include ('includes/wpbuttons-shortcodes.php');

function wpbuttons_admin_register_head(){
	$cssurl = WP_BUTTON_CREATOR_URL.'/css/wpbtnstyle.css';
	$color_cssurl = WP_BUTTON_CREATOR_URL.'/js/colorpicker/css/colorpicker.css';
	$color_layout_cssurl = WP_BUTTON_CREATOR_URL.'/js/colorpicker/css/layout.css';
	echo '<link rel="stylesheet" type="text/css" href="'.$cssurl.'" />';
	echo '<link rel="stylesheet" type="text/css" href="'.$color_cssurl.'" />';
	echo '<link rel="stylesheet" type="text/css" href="'.$color_layout_cssurl.'" />';
}

function wpbuttons_admin_load_js(){
	$jsurl = WP_BUTTON_CREATOR_URL.'/js/wpbuttons_js.js';
	$colorpicker_js = WP_BUTTON_CREATOR_URL.'/js/colorpicker/js/colorpicker.js';
	echo '<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>';//TODO - use enqueue
	echo '<script src="'.$colorpicker_js.'"></script>';
	echo '<script src="'.$jsurl.'"></script>';
}

add_action('admin_head', 'wpbuttons_admin_register_head');
add_action('admin_footer-wp-buttons_page_wpbuttons-add','wpbuttons_admin_load_js');

function wpbuttons_install(){
	wpbuttons_create_db();
}
register_activation_hook(__FILE__,'wpbuttons_install');
